export class Developer {
    name: string = ''
    organisation: string = ''
    url: string = ''
    mail: string = ''
    phone: string = ''
    contactform: string = ''

    constructor(newDeveloper?: any) {
        if (newDeveloper) {
            this.initialize(newDeveloper)
        }
    }

    initialize(newDeveloper: Developer) {
        this.name = newDeveloper.name
        this.organisation = newDeveloper.organisation
        this.url = newDeveloper.url
        this.phone = newDeveloper.phone
        this.mail = newDeveloper.mail
        this.contactform = newDeveloper.contactform
    }

    public get initialized(): boolean {
        return (this.name !== '' || this.organisation !== '') && this.url !== ''
    }
}
