/* const MY_CONSTANTS = require('@/lib/constants-standards.js') */

type Contact = {
    name: string
    link: string
    mail: string
    phone: string
    contactform: string
}
type LinkItem = {
    name: string
    link: string
}

type InfoboxOptions = {
    productOwner: Contact
    developer: Contact
    contact: Contact
    supportInfo: LinkItem[]
    artefacts: LinkItem[]
    combinedStandards: LinkItem[]
    lastUpdate: string
  }
export function InfoBoxes({
    productOwner,
    developer,
    contact,
    supportInfo,
    artefacts,
    combinedStandards,
    lastUpdate,
}: InfoboxOptions) {
    return (
        <div>
            {lastUpdate && (
                <div className="w-80 border-2 mb-4 rounded-md">
                    <div className="bg-slate-100 p-1 font-bold">Letzte Aktualisierung</div>
                    <div className="text-sm p-1">
                        <div className="flex">
                            <div className="font-semibold w-20">Datum</div>
                            <div>{lastUpdate}</div>
                        </div>
                    </div>
                </div>

            )}
        </div>
    )
}
